## amrenc-dmo 0.5.3

=== Makefile ===
ENCODER_SRCS=amrenc.c sp_enc.c interf_enc.c

CFLAGS=-O3 -lm -Wall

all: amrenc
	strip -s -R.comment amrenc

amrenc: $(ENCODER_SRCS)
	$(CC) $(CFLAGS) $(ENCODER_SRCS) -o amrenc

clean:
	rm -rf *.o *~ amrenc

test: all
	time ./amrenc audiodump.wav audiodump.amr

install: all
	mkdir -p $(INSTDIR)/bin
	cp amrenc $(INSTDIR)/bin
	strip -s -R.comment $(INSTDIR)/bin/amrenc

=== debian/changelog ===
amrenc-dmo (0.5.3-dmo5) unstable; urgency=medium

  * Rebuild .dsc file has been lost.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Mar 2025 09:56:43 +0100

amrenc-dmo (0.5.3-dmo4) unstable; urgency=medium

  * Add CFLAGS and LDFLAGS to build

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Mar 2025 10:14:28 +0100

amrenc-dmo (0.5.3-dmo3) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Mar 2017 19:19:28 +0100

amrenc (0.5.3-dmo2) unstable; urgency=low

  * Update upstream homepage.
  * Add a watch file.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Oct 2012 09:17:49 +0200

amrenc (0.5.3-dmo1) unstable; urgency=low

  * New upstream release.
  * Build with hardened flags.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Jul 2012 16:30:49 +0200

amrenc (0.5.2-0.1) unstable; urgency=low

  * Remove -j option for make.

 -- Christian Marillat <marillat@debian.org>  Sun, 08 Aug 2010 18:38:17 +0200

amrenc (0.5.2-0.0) unstable; urgency=low

  * Upload to my repository.

 -- Christian Marillat <marillat@debian.org>  Sun, 08 Aug 2010 18:15:25 +0200

amrenc (0.5.2-1) jaunty; urgency=low

  * Jaunty upload

 -- Matteo Croce <rootkit85@yahoo.it>  Mon, 18 May 2009 18:11:58 +0200

amrenc (0.5.2) intrepid; urgency=low

  * Intrepid upload

 -- Matteo Croce <rootkit85@yahoo.it>  Wed, 29 Oct 2008 23:32:10 +0100

amrenc (0.5.1) hardy; urgency=low

  * Rebuild ubuntu package with sane dpkg-deb arguments

 -- Matteo Croce <rootkit85@yahoo.it>  Wed, 23 Jan 2008 16:03:44 +0100

amrenc (0.5-1) hardy; urgency=low

  * Hardy upload

 -- Matteo Croce <rootkit85@yahoo.it>  Tue, 22 Jan 2008 02:28:35 +0100

amrenc (0.5) gutsy; urgency=low

  * really fix build

 -- Matteo Croce <rootkit85@yahoo.it>  Wed, 05 Dec 2007 18:09:01 +0100

amrenc (0.4) gutsy; urgency=low

  * FIxed maintainner address

 -- Matteo Croce <rootkit85@yahoo.it>  Wed, 05 Dec 2007 17:42:49 +0100

amrenc (0.3) gutsy; urgency=low

  * Fix build

 -- Matteo Croce <rootkit85@yahoo.it>  Wed, 05 Dec 2007 17:27:41 +0100

amrenc (0.2) gutsy; urgency=low

  * New upstream release from 3gpp.org

 -- Matteo Croce <rootkit85@yahoo.it>  Wed, 05 Dec 2007 16:48:16 +0100

amrenc (0.1) gutsy; urgency=low

  * Initial release.

 -- Matteo Croce <rootkit85@yahoo.it>  Wed, 05 Dec 2007 16:16:21 +0100

=== debian/control ===
Source: amrenc-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://teknoraver.net/software/mp4tools/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), quilt,

Package: amrenc
Architecture: any
Section: sound
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: AMR-NB (Narrow Band) Encoder
 This is basically the 3gpp encoder, just packaged for easier usage.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt

override_dh_auto_install:
	$(MAKE) INSTDIR=$(CURDIR)/debian/amrenc/usr install

override_dh_auto_test:

=== debian/watch ===
version=4

opts="uversionmangle=s/orig//" \
https://teknoraver.net/software/mp4tools/ \
.*/amrenc_(.*)@ARCHIVE_EXT@
